1
0
mirror of https://gitlab.com/ykkzde/posy-cursors synced 2024-10-27 20:44:10 +00:00

Make script stop when needed software is not installed (fixes #1)

This commit is contained in:
Dmitry 2019-10-30 18:36:39 +04:00
parent 31d3d98a51
commit 9599f80ff8

View File

@ -1,5 +1,15 @@
#!/bin/bash
if ! [ -x "$(command -v xcursorgen)" ]; then
echo 'Error: xcursorgen is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v convert)" ]; then
echo 'Error: imagemagick is not installed.' >&2
exit 1
fi
source progressBars.sh
source buildFunctions.sh